%% main script
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% we want to compare the results of method3 (COMPLEXFUNCT_D) and method1 (COMPLEXFUNCT_B) 
% on vertices and polytopes occuring in case (C) in the invariant polytope algorithm
%

%#ok<*UNRCH>
%#ok<*SAGROW>
return;

%% generate vertices and polytopes and dump them to base-ws
clear
dim = 2;
lastidx = 0;
pt_VV = struct;
%%
load methodcomparison_cb_rand
% runflag = true;
% while( runflag );    
%     if( rand<1/20 );
%         dim = dim + 3; end;
%     pt_VV(end+1).pts = randncp( dim, 100 );
%     pt_VV(end).VV = randncp( dim, randp( [1 1], 4*dim, 3000, 2 ) );
    for k = 31:numel(pt_VV);
        k
        [ bg(k).normval, ~,  bg(k).iter,  bg(k).time ]  = polytopenorm( pt_VV(k).pts, pt_VV(k).VV, 'cb', 'g' ); fprintf('\n');
        % save methodcomparison_cb_rand;
        fprintf( '\n' );
    end
    
%     lastidx = numel( pt_VV );
%     save methodcomparison_cb_rand;
%     fprintf( '\n==================================\n' );
% end;


%% load and clear data
%%%%%%%%%%%%%%%
% LABEL CLEARANDLOAD
clear
%% load data
% LABEL LOAD
load methodcomparison_cb_rnd;
clear ans dim j runflag T_ lastidx k

IDX_r = ~arrayfun( @(n) isempty(pt_VV(n).pts), 1:numel(pt_VV) );
bg_r = bg(IDX_r);
pt_VV_r = pt_VV(IDX_r);

len_r = arrayfun( @(i) size(pt_VV_r(i).pts,2), 1:numel(pt_VV_r) );
L1_r = @(X) arrayfun( @(i) repmat(X(i),[1 len_r(i)]), 1:numel(len_r), 'UniformOutput',false );
L2_r = @(X) [X{:}];
L_r = @(X) L2_r(L1_r(X));
len_L_r = L_r( len_r );

NVV_r = arrayfun( @(n) size(pt_VV_r(n).VV,2), 1:numel(pt_VV_r) );
NVV_L_r = L_r( NVV_r );

DIM_r = arrayfun( @(n) size(pt_VV_r(n).VV,1), 1:numel(pt_VV_r) );
DIM_L_r = L_r( DIM_r );

ACC_L_r  = [bg.normval];  ACC_L_r =  ACC_L_r(3,:)./ACC_L_r(2,:);

ACC_r = cellfun( @mean, arrayfun( @(i) [bg_r(i).normval(3,:)./bg_r(i).normval(2,:)], 1:numel(bg_r), 'uni', false ) );

TIME_L_r  = [bg_r.time]./len_L_r;
