%% main script
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% we want to compare the results of method3 (COMPLEXFUNCT_D) and method1 (COMPLEXFUNCT_B) 
% on vertices and polytopes occuring in case (C) in the invariant polytope algorithm
%

%#ok<*UNRCH>
%#ok<*SAGROW>

return;

%% generate vertices and polytopes and dump them to base-ws
clear
dim = 2;
j = 0;
lastidx = 0;
%% generate vertices and polytopes and dump them to base-ws
clear
dim = 2;
lastidx = 0;
pt_VV = struct;
%%
load methodcomparison_ce_ipa
%runflag = true;
%while( runflag );    
    %if( rand<1/20 );
    %    dim = dim + 3; end;
    %pt_VV(end+1).pts = randncp( dim, 100 );
    %pt_VV(end).VV = randncp( dim, randp( [1 1], 4*dim, 3000, 2 ) );
    %for k = lastidx+1:numel( pt_VV );
    for k = 1:371
        k
        [ ce3(k).normval, ~,  ce3(k).iter,  ce3(k).time ]  = polytopenorm( pt_VV(k).pts, pt_VV(k).VV, 'ce', 'g', 'rel',1-0.5^3  ); fprintf('\n');
        [ ce5(k).normval, ~,  ce5(k).iter,  ce5(k).time ]  = polytopenorm( pt_VV(k).pts, pt_VV(k).VV, 'ce', 'g', 'rel',1-0.5^5  ); fprintf('\n');
        [ ce7(k).normval, ~,  ce7(k).iter,  ce7(k).time ]  = polytopenorm( pt_VV(k).pts, pt_VV(k).VV, 'ce', 'g', 'rel',1-0.5^7  ); fprintf('\n');
        [ ce9(k).normval, ~,  ce9(k).iter,  ce9(k).time ]  = polytopenorm( pt_VV(k).pts, pt_VV(k).VV, 'ce', 'g', 'rel',1-0.5^9  ); fprintf('\n');
        [ ce11(k).normval, ~, ce11(k).iter, ce11(k).time ] = polytopenorm( pt_VV(k).pts, pt_VV(k).VV, 'ce', 'g', 'rel',1-0.5^11 ); fprintf('\n');
        [ ce13(k).normval, ~, ce13(k).iter, ce13(k).time ] = polytopenorm( pt_VV(k).pts, pt_VV(k).VV, 'ce', 'g', 'rel',1-0.5^13 ); fprintf('\n');
        [ ce15(k).normval, ~, ce15(k).iter, ce15(k).time ] = polytopenorm( pt_VV(k).pts, pt_VV(k).VV, 'ce', 'g', 'rel',1-0.5^15 ); fprintf('\n');
        [ ce17(k).normval, ~, ce17(k).iter, ce17(k).time ] = polytopenorm( pt_VV(k).pts, pt_VV(k).VV, 'ce', 'g', 'rel',1-0.5^17 ); fprintf('\n');
        [ ce19(k).normval, ~, ce19(k).iter, ce19(k).time ] = polytopenorm( pt_VV(k).pts, pt_VV(k).VV, 'ce', 'g', 'rel',1-0.5^19 ); fprintf('\n');
        [ ce21(k).normval, ~, ce21(k).iter, ce21(k).time ] = polytopenorm( pt_VV(k).pts, pt_VV(k).VV, 'ce', 'g', 'rel',1-0.5^21 ); fprintf('\n');
        [ ce23(k).normval, ~, ce23(k).iter, ce23(k).time ] = polytopenorm( pt_VV(k).pts, pt_VV(k).VV, 'ce', 'g', 'rel',1-0.5^23 ); fprintf('\n');
        [ ce25(k).normval, ~, ce25(k).iter, ce25(k).time ] = polytopenorm( pt_VV(k).pts, pt_VV(k).VV, 'ce', 'g', 'rel',1-0.5^25 ); fprintf('\n');
        fprintf( '\n' );
        
        %save methodcomparison_ce_ipa;
        %fprintf( '\n==================================\n' );
    end
    
    %lastidx = numel( pt_VV );
    %save methodcomparison_ce_ipa;
    fprintf( '\n==================================\n' );
%end;

%% load data
%%%%%%%%%%%%%%%
% LABEL CLEARANDLOAD
clear
%%
% LABEL LOAD
load methodcomparison_ce_ipa;
clear ans dim j runflag T_ lastidx k

IDX_ipa = ~arrayfun( @(n) isempty(pt_VV(n).pts), 1:numel(pt_VV) );
ce3_ipa = ce3(IDX_ipa);
ce5_ipa = ce5(IDX_ipa);
ce7_ipa = ce7(IDX_ipa);
ce9_ipa = ce9(IDX_ipa);
ce11_ipa = ce11(IDX_ipa);
ce13_ipa = ce13(IDX_ipa);
ce15_ipa = ce15(IDX_ipa);
ce17_ipa = ce17(IDX_ipa);
ce19_ipa = ce19(IDX_ipa);
ce21_ipa = ce21(IDX_ipa);
ce23_ipa = ce23(IDX_ipa);
ce25_ipa = ce25(IDX_ipa);
pt_VV_ipa = pt_VV(IDX_ipa);

len_ipa = arrayfun( @(i) size(pt_VV_ipa(i).pts,2), 1:numel(pt_VV_ipa) );
L1_ipa = @(X) arrayfun( @(i) repmat(X(i),[1 len_ipa(i)]), 1:numel(len_ipa), 'UniformOutput',false );
L2_ipa = @(X) [X{:}];
L_ipa = @(X) L2_ipa( L1_ipa(X) );
len_L_ipa = L_ipa( len_ipa );

NVV_ipa = arrayfun( @(n) size(pt_VV_ipa(n).VV,2), 1:numel(pt_VV_ipa) );
NVV_L_ipa = L_ipa( NVV_ipa );

DIM_ipa = arrayfun( @(n) size(pt_VV_ipa(n).VV,1), 1:numel(pt_VV_ipa) );
DIM_L_ipa = L_ipa( DIM_ipa );

ACC3_L_ipa  = [ce3_ipa.normval];  ACC3_L_ipa =  ACC3_L_ipa(3,:)./ACC3_L_ipa(2,:);
ACC5_L_ipa  = [ce5_ipa.normval];  ACC5_L_ipa =  ACC5_L_ipa(3,:)./ACC5_L_ipa(2,:);
ACC7_L_ipa  = [ce7_ipa.normval];  ACC7_L_ipa =  ACC7_L_ipa(3,:)./ACC7_L_ipa(2,:);
ACC9_L_ipa  = [ce9_ipa.normval];  ACC9_L_ipa =  ACC9_L_ipa(3,:)./ACC9_L_ipa(2,:);
ACC11_L_ipa = [ce11_ipa.normval]; ACC11_L_ipa = ACC11_L_ipa(3,:)./ACC11_L_ipa(2,:);
ACC13_L_ipa = [ce13_ipa.normval]; ACC13_L_ipa = ACC13_L_ipa(3,:)./ACC13_L_ipa(2,:);
ACC15_L_ipa = [ce15_ipa.normval]; ACC15_L_ipa = ACC15_L_ipa(3,:)./ACC15_L_ipa(2,:);
ACC17_L_ipa = [ce17_ipa.normval]; ACC17_L_ipa = ACC17_L_ipa(3,:)./ACC17_L_ipa(2,:);
ACC19_L_ipa = [ce19_ipa.normval]; ACC19_L_ipa = ACC19_L_ipa(3,:)./ACC19_L_ipa(2,:);
ACC21_L_ipa = [ce21_ipa.normval]; ACC21_L_ipa = ACC21_L_ipa(3,:)./ACC21_L_ipa(2,:);
ACC23_L_ipa = [ce23_ipa.normval]; ACC23_L_ipa = ACC23_L_ipa(3,:)./ACC23_L_ipa(2,:);
ACC25_L_ipa = [ce25_ipa.normval]; ACC25_L_ipa = ACC25_L_ipa(3,:)./ACC25_L_ipa(2,:);

TIME3_L_ipa  = [ce3_ipa.time];
TIME5_L_ipa  = [ce5_ipa.time];
TIME7_L_ipa  = [ce7_ipa.time];
TIME9_L_ipa  = [ce9_ipa.time];
TIME11_L_ipa = [ce11_ipa.time];
TIME13_L_ipa = [ce13_ipa.time];
TIME15_L_ipa = [ce15_ipa.time];
TIME17_L_ipa = [ce17_ipa.time];
TIME19_L_ipa = [ce19_ipa.time];
TIME21_L_ipa = [ce21_ipa.time];
TIME23_L_ipa = [ce23_ipa.time];
TIME25_L_ipa = [ce25_ipa.time];

