clear
clearat all

cd('extremal ball')
evalat( 'in','main', 'at',1, 'eval','gosub(''CLEARANDLOAD'')');
main

cd ..
cd('extremal ball point')
evalat( 'in','main', 'at',1, 'eval', 'gosub(''LOAD'')');
main;
cd ..


%% plot result
%%%%%%%%%%%%%%%%%%
import exportfig.*;

FIG();
clf;
hold on;
plotm( [DIM_EL; NUMEL_EL; 100*(OUT_EL+1*BD_EL)./NUMEL_EL], 'avg', true, 'o', 'ms',3, 'color','x', 'logloglog' );
plotm( [DIM_PT; NUMEL_PT; 100*(OUT_PT+1*BD_PT)./NUMEL_PT], 'avg', true, '.', 'ms',5, 'color','x', 'logloglog' );
view(90,0);
cml = colormap( 'lines' );
cml = cml(1:9,:);
colormap( cml );
cb = colorbar;
cb.Label.String = 'd';
caxis([1.5 10.5])
SZE(4,2); 
AXIS([2 16 0 1000 0 100]); 
TICKS([2,4,6,8,10,12,14,18],[10 100 1000],[1 10 100])
TICKLABELS(nan,nan,{'1','10','100'})
LABEL('$d$','$N$','\%');
TITLE('Unit ball case');
POST();
SAVE('.','extremal_ball',EXT);

