%% main script
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% we want to compare the results of method3 (COMPLEXFUNCT_D) and method1 (COMPLEXFUNCT_B) 
% on vertices and polytopes occuring in case (C) in the invariant polytope algorithm
%

%#ok<*UNRCH>
%#ok<*SAGROW>
return;

%% generate vertices and polytopes and dump them to base-ws
2;
clear
dim = 2;
j = 0;
lastidx = 0;
%%
load methodcomparison_cb_ipa;
% runflag = true;
% while( runflag );    
%     j = j + 1;
%     fprintf( 'j = %i\n', j );
%     if( rand<1/20 );
%         dim = dim + randi(3); end;
%     T_ = tgallery( 'complex', dim, 2 );
%     clear pt_VV_
%     tjsr( T_, 'maxiteration',45, 'admissiblealgorithm',[20 21 22 23 24 25 26], 'algorithm','cb', 'epssym',nan, 'solver','g', 'dumpvertex','pt_VV_' );
    for k = 1:numel( pt_VV );
        k
        [ bg(k).normval, ~,  bg(k).iter,  bg(k).time ]  = polytopenorm( pt_VV(k).pts, pt_VV(k).VV, 'cb', 'g' ); fprintf('\n');
        % save methodcomparison_cb_ipa;
        fprintf( '\n' );
    end
    
%     lastidx = numel(pt_VV);
%     save methodcomparison_cb_ipa;
%     fprintf( '\n==================================\n' );
%end

%% load and clear data
%%%%%%%%%%%%%%%%%%%%%%%%%%%
% LABEL CLEARANDLOAD
clear
%% load data
% LABEL LOAD
load methodcomparison_cb_ipa;
clear ans dim j runflag T_ lastidx k

IDX_ipa = ~arrayfun( @(n) isempty(pt_VV(n).pts), 1:numel(pt_VV) );
bg_ipa = bg(IDX_ipa);
pt_VV_ipa = pt_VV(IDX_ipa);

len_ipa = arrayfun( @(i) size(pt_VV_ipa(i).pts,2), 1:numel(pt_VV_ipa) );
L1_ipa = @(X) arrayfun( @(i) repmat(X(i),[1 len_ipa(i)]), 1:numel(len_ipa), 'UniformOutput',false );
L2_ipa = @(X) [X{:}];
L_ipa = @(X) L2_ipa(L1_ipa(X));
len_L_ipa = L_ipa( len_ipa );

NVV_ipa = arrayfun( @(n) size(pt_VV_ipa(n).VV,2), 1:numel(pt_VV_ipa) );
NVV_L_ipa = L_ipa( NVV_ipa );

DIM_ipa = arrayfun( @(n) size(pt_VV_ipa(n).VV,1), 1:numel(pt_VV_ipa) );
DIM_L_ipa = L_ipa( DIM_ipa );

ACC_L_ipa  = [bg.normval];  ACC_L_ipa =  ACC_L_ipa(3,:)./ACC_L_ipa(2,:);

ACC_ipa = cellfun( @mean, arrayfun( @(i) [bg_ipa(i).normval(3,:)./bg_ipa(i).normval(2,:)], 1:numel(bg_ipa), 'uni', false ) );

TIME_L_ipa  = [bg_ipa.time]./len_L_ipa;


