%% main script
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% we want to compare the results of method3 (COMPLEXFUNCT_D) and method1 (COMPLEXFUNCT_B) 
% on vertices and polytopes occuring in case (C) in the invariant polytope algorithm
%

%#ok<*UNRCH>
%#ok<*SAGROW>

return;

%% generate vertices and polytopes and dump them to base-ws
clear
dim = 2;
lastidx = 0;
pt_VV = struct;
%%
%load methodcomparison_ce_rnd
runflag = true;
while( runflag );    
    %if( rand<1/20 );
    %    dim = dim + 3; end;
    %pt_VV(end+1).pts = randncp( dim, 100 );
    %pt_VV(end).VV = randncp( dim, randp( [1 1], 4*dim, 3000, 2 ) );
    %for k = lastidx+1:numel( pt_VV );
    for k = 23:120
        k
        [ ce3(k).normval, ~,  ce3(k).iter,  ce3(k).time ]  = polytopenorm( pt_VV(k).pts, pt_VV(k).VV, 'ce', 'g', 'rel',1-0.5^3  ); fprintf('\n');
        [ ce5(k).normval, ~,  ce5(k).iter,  ce5(k).time ]  = polytopenorm( pt_VV(k).pts, pt_VV(k).VV, 'ce', 'g', 'rel',1-0.5^5  ); fprintf('\n');
        [ ce7(k).normval, ~,  ce7(k).iter,  ce7(k).time ]  = polytopenorm( pt_VV(k).pts, pt_VV(k).VV, 'ce', 'g', 'rel',1-0.5^7  ); fprintf('\n');
        [ ce9(k).normval, ~,  ce9(k).iter,  ce9(k).time ]  = polytopenorm( pt_VV(k).pts, pt_VV(k).VV, 'ce', 'g', 'rel',1-0.5^9  ); fprintf('\n');
        [ ce11(k).normval, ~, ce11(k).iter, ce11(k).time ] = polytopenorm( pt_VV(k).pts, pt_VV(k).VV, 'ce', 'g', 'rel',1-0.5^11 ); fprintf('\n');
        [ ce13(k).normval, ~, ce13(k).iter, ce13(k).time ] = polytopenorm( pt_VV(k).pts, pt_VV(k).VV, 'ce', 'g', 'rel',1-0.5^13 ); fprintf('\n');
        [ ce15(k).normval, ~, ce15(k).iter, ce15(k).time ] = polytopenorm( pt_VV(k).pts, pt_VV(k).VV, 'ce', 'g', 'rel',1-0.5^15 ); fprintf('\n');
        [ ce17(k).normval, ~, ce17(k).iter, ce17(k).time ] = polytopenorm( pt_VV(k).pts, pt_VV(k).VV, 'ce', 'g', 'rel',1-0.5^17 ); fprintf('\n');
        [ ce19(k).normval, ~, ce19(k).iter, ce19(k).time ] = polytopenorm( pt_VV(k).pts, pt_VV(k).VV, 'ce', 'g', 'rel',1-0.5^19 ); fprintf('\n');
        [ ce21(k).normval, ~, ce21(k).iter, ce21(k).time ] = polytopenorm( pt_VV(k).pts, pt_VV(k).VV, 'ce', 'g', 'rel',1-0.5^21 ); fprintf('\n');
        [ ce23(k).normval, ~, ce23(k).iter, ce23(k).time ] = polytopenorm( pt_VV(k).pts, pt_VV(k).VV, 'ce', 'g', 'rel',1-0.5^23 ); fprintf('\n');
        [ ce25(k).normval, ~, ce25(k).iter, ce25(k).time ] = polytopenorm( pt_VV(k).pts, pt_VV(k).VV, 'ce', 'g', 'rel',1-0.5^25 ); fprintf('\n');
        fprintf( '\n' );
        
        %save methodcomparison_ce_rnd;
        %fprintf( '\n==================================\n' );
    end
    
    %lastidx = numel( pt_VV );
    %save methodcomparison_ce_rnd;
    fprintf( '\n==================================\n' );
end;


%% load data
%%%%%%%%%%%%%%%
% LABEL CLEARANDLOAD
clear
%%
% LABEL LOAD
load methodcomparison_ce_rnd;
clear ans dim j runflag T_ lastidx k

IDX_r = ~arrayfun( @(n) isempty(pt_VV(n).pts), 1:numel(pt_VV) );
ce3_r = ce3(IDX_r);
ce5_r = ce5(IDX_r);
ce7_r = ce7(IDX_r);
ce9_r = ce9(IDX_r);
ce11_r = ce11(IDX_r);
ce13_r = ce13(IDX_r);
ce15_r = ce15(IDX_r);
ce17_r = ce17(IDX_r);
ce19_r = ce19(IDX_r);
ce21_r = ce21(IDX_r);
ce23_r = ce23(IDX_r);
ce25_r = ce25(IDX_r);
pt_VV_r = pt_VV(IDX_r);

len_r = arrayfun( @(i) size(pt_VV_r(i).pts,2), 1:numel(pt_VV_r) );
L1_r = @(X) arrayfun( @(i) repmat(X(i),[1 len_r(i)]), 1:numel(len_r), 'UniformOutput',false );
L2_r = @(X) [X{:}];
L_r = @(X) L2_r( L1_r(X) );
len_L_r = L_r( len_r );

NVV_r = arrayfun( @(n) size(pt_VV_r(n).VV,2), 1:numel(pt_VV_r) );
NVV_L_r = L_r( NVV_r );

DIM_r = arrayfun( @(n) size(pt_VV_r(n).VV,1), 1:numel(pt_VV_r) );
DIM_L_r = L_r( DIM_r );

ACC3_L_r  = [ce3_r.normval];  ACC3_L_r =  ACC3_L_r(3,:)./ACC3_L_r(2,:);
ACC5_L_r  = [ce5_r.normval];  ACC5_L_r =  ACC5_L_r(3,:)./ACC5_L_r(2,:);
ACC7_L_r  = [ce7_r.normval];  ACC7_L_r =  ACC7_L_r(3,:)./ACC7_L_r(2,:);
ACC9_L_r  = [ce9_r.normval];  ACC9_L_r =  ACC9_L_r(3,:)./ACC9_L_r(2,:);
ACC11_L_r = [ce11_r.normval]; ACC11_L_r = ACC11_L_r(3,:)./ACC11_L_r(2,:);
ACC13_L_r = [ce13_r.normval]; ACC13_L_r = ACC13_L_r(3,:)./ACC13_L_r(2,:);
ACC15_L_r = [ce15_r.normval]; ACC15_L_r = ACC15_L_r(3,:)./ACC15_L_r(2,:);
ACC17_L_r = [ce17_r.normval]; ACC17_L_r = ACC17_L_r(3,:)./ACC17_L_r(2,:);
ACC19_L_r = [ce19_r.normval]; ACC19_L_r = ACC19_L_r(3,:)./ACC19_L_r(2,:);
ACC21_L_r = [ce21_r.normval]; ACC21_L_r = ACC21_L_r(3,:)./ACC21_L_r(2,:);
ACC23_L_r = [ce23_r.normval]; ACC23_L_r = ACC23_L_r(3,:)./ACC23_L_r(2,:);
ACC25_L_r = [ce25_r.normval]; ACC25_L_r = ACC25_L_r(3,:)./ACC25_L_r(2,:);

ACC3_r = cellfun( @mean, arrayfun( @(i) [ce3_r(i).normval(3,:)./ce3_r(i).normval(2,:)], 1:numel(ce3_r), 'uni', false ) );
ACC5_r = cellfun( @mean, arrayfun( @(i) [ce5_r(i).normval(3,:)./ce5_r(i).normval(2,:)], 1:numel(ce5_r), 'uni', false ) );
ACC7_r = cellfun( @mean, arrayfun( @(i) [ce7_r(i).normval(3,:)./ce7_r(i).normval(2,:)], 1:numel(ce7_r), 'uni', false ) );
ACC9_r = cellfun( @mean, arrayfun( @(i) [ce9_r(i).normval(3,:)./ce9_r(i).normval(2,:)], 1:numel(ce9_r), 'uni', false ) );
ACC11_r = cellfun( @mean, arrayfun( @(i) [ce11_r(i).normval(3,:)./ce11_r(i).normval(2,:)], 1:numel(ce11_r), 'uni', false ) );
ACC13_r = cellfun( @mean, arrayfun( @(i) [ce13_r(i).normval(3,:)./ce13_r(i).normval(2,:)], 1:numel(ce13_r), 'uni', false ) );
ACC15_r = cellfun( @mean, arrayfun( @(i) [ce15_r(i).normval(3,:)./ce15_r(i).normval(2,:)], 1:numel(ce15_r), 'uni', false ) );
ACC17_r = cellfun( @mean, arrayfun( @(i) [ce17_r(i).normval(3,:)./ce17_r(i).normval(2,:)], 1:numel(ce17_r), 'uni', false ) );
ACC19_r = cellfun( @mean, arrayfun( @(i) [ce19_r(i).normval(3,:)./ce19_r(i).normval(2,:)], 1:numel(ce19_r), 'uni', false ) );
ACC21_r = cellfun( @mean, arrayfun( @(i) [ce21_r(i).normval(3,:)./ce21_r(i).normval(2,:)], 1:numel(ce21_r), 'uni', false ) );
ACC23_r = cellfun( @mean, arrayfun( @(i) [ce23_r(i).normval(3,:)./ce23_r(i).normval(2,:)], 1:numel(ce23_r), 'uni', false ) );
ACC25_r = cellfun( @mean, arrayfun( @(i) [ce25_r(i).normval(3,:)./ce25_r(i).normval(2,:)], 1:numel(ce25_r), 'uni', false ) );


TIME3_r  = [ce3_r.time]./len_r;
TIME5_r  = [ce5_r.time]./len_r;
TIME7_r  = [ce7_r.time]./len_r;
TIME9_r  = [ce9_r.time]./len_r;
TIME11_r = [ce11_r.time]./len_r;
TIME13_r = [ce13_r.time]./len_r;
TIME15_r = [ce15_r.time]./len_r;
TIME17_r = [ce17_r.time]./len_r;
TIME19_r = [ce19_r.time]./len_r;
TIME21_r = [ce21_r.time]./len_r;
TIME23_r = [ce23_r.time]./len_r;
TIME25_r = [ce25_r.time]./len_r;

TIME3_L_r  = L_r( TIME3_r );
TIME5_L_r  = L_r( TIME5_r );
TIME7_L_r  = L_r( TIME7_r );
TIME9_L_r  = L_r( TIME9_r );
TIME11_L_r = L_r( TIME11_r );
TIME13_L_r = L_r( TIME13_r );
TIME15_L_r = L_r( TIME15_r );
TIME17_L_r = L_r( TIME17_r );
TIME19_L_r = L_r( TIME19_r );
TIME21_L_r = L_r( TIME21_r );
TIME23_L_r = L_r( TIME23_r );
TIME25_L_r = L_r( TIME25_r );


