clear
clearat all

cd cb
cd rnd
evalat( 'in','main', 'at',1, 'eval','gosub(''CLEARANDLOAD'')');
main

cd ..
cd ipa
evalat( 'in','main', 'at',1, 'eval', 'gosub(''LOAD'')');
main;
cd ..
cd ..

%% plot data
%%%%%%%%%%%%%%%
for i = 1:2
    import exportfig.*
    FIG();
    clf; hold on;

    switch i
        case 1;
            COLOR_L_ipa = NVV_L_ipa;
            MS_ipa = 4;
            plotm( [1-ACC_L_ipa; TIME_L_ipa],  '.', 'color',COLOR_L_ipa, 'ms',MS_ipa  );
            
        case 2;
            COLOR_r = NVV_L_r;
            MS_r = 4;
            LINESPEC_r = '.';
            plotm( [1-ACC_L_r; TIME_L_r],  LINESPEC_r, 'color',COLOR_r, 'ms',MS_r  );
            
        end;
    
    colorbar
    colormap hsv;
    LABEL( 'Accuracy', '$t\ [s]$', '', '$\#V$' );
    AXIS( [.5^26 .5^.5 0.00002 200], [0 1500] )
    TICKS( [.5^25 .5^21 .5^17 .5^13 .5^9 .5^5 .5^1],nan, nan, [300 600 900 1200] )
    TICKLABELS( {'0.99999997' '' '.999992' '' '.9998' '0.969' '.5'} );
    %TICKLABELS( {'.9995' '' '.9922' '' '.8750'} );
    set ( gca, 'XScale', 'log' );
    set ( gca, 'YScale', 'log' );
    set ( gca, 'xdir', 'reverse' );
    SZE( 2, 2 );
    POST();
    switch i
        case 1; SAVE( '.', 'methodcomparison_cb_ipa', 'png' );
        case 2; SAVE( '.', 'methodcomparison_cb_r', 'png' ); 
        end;
end



