clear
clearat all

cd ce
cd rnd
evalat( 'in','main', 'at',1, 'eval','gosub(''CLEARANDLOAD'')');
main

cd ..
cd ipa
evalat( 'in','main', 'at',1, 'eval', 'gosub(''LOAD'')');
main;
cd ..
cd ..


%% plot data
%%%%%%%%%%%%%%%
for i = 1:2

    import exportfig.*
    FIG();
    clf; hold on;

    switch i;
        case 1;
            COLOR_L_ipa = NVV_L_ipa;
            MS_ipa = 4;
            LINESPEC_ipa = '.';
            plotm( [1-ACC3_L_ipa; TIME3_L_ipa],  LINESPEC_ipa, 'color',COLOR_L_ipa, 'ms',MS_ipa  );
            plotm( [1-ACC5_L_ipa; TIME5_L_ipa],  LINESPEC_ipa, 'color',COLOR_L_ipa, 'ms',MS_ipa  );
            plotm( [1-ACC7_L_ipa; TIME7_L_ipa],  LINESPEC_ipa, 'color',COLOR_L_ipa, 'ms',MS_ipa  );
            plotm( [1-ACC9_L_ipa; TIME9_L_ipa],  LINESPEC_ipa, 'color',COLOR_L_ipa, 'ms',MS_ipa  );
            plotm( [1-ACC11_L_ipa;TIME11_L_ipa], LINESPEC_ipa, 'color',COLOR_L_ipa, 'ms',MS_ipa  );
            plotm( [1-ACC13_L_ipa;TIME13_L_ipa], LINESPEC_ipa, 'color',COLOR_L_ipa, 'ms',MS_ipa  );
            plotm( [1-ACC15_L_ipa;TIME15_L_ipa], LINESPEC_ipa, 'color',COLOR_L_ipa, 'ms',MS_ipa  );
            plotm( [1-ACC17_L_ipa;TIME17_L_ipa], LINESPEC_ipa, 'color',COLOR_L_ipa, 'ms',MS_ipa  );
            plotm( [1-ACC19_L_ipa;TIME19_L_ipa], LINESPEC_ipa, 'color',COLOR_L_ipa, 'ms',MS_ipa  );
            plotm( [1-ACC21_L_ipa;TIME21_L_ipa], LINESPEC_ipa, 'color',COLOR_L_ipa, 'ms',MS_ipa  );
            plotm( [1-ACC23_L_ipa;TIME23_L_ipa], LINESPEC_ipa, 'color',COLOR_L_ipa, 'ms',MS_ipa  );
            plotm( [1-ACC25_L_ipa;TIME25_L_ipa], LINESPEC_ipa, 'color',COLOR_L_ipa, 'ms',MS_ipa  );
        case 2;
            COLOR_r = NVV_r;
            MS_r = 4;
            LINESPEC_r = '.';
            plotm( [1-ACC3_r; TIME3_r],  LINESPEC_r, 'color',COLOR_r, 'ms',MS_r  );
            plotm( [1-ACC5_r; TIME5_r],  LINESPEC_r, 'color',COLOR_r, 'ms',MS_r  );
            plotm( [1-ACC7_r; TIME7_r],  LINESPEC_r, 'color',COLOR_r, 'ms',MS_r  );
            plotm( [1-ACC9_r; TIME9_r],  LINESPEC_r, 'color',COLOR_r, 'ms',MS_r  );
            plotm( [1-ACC11_r;TIME11_r], LINESPEC_r, 'color',COLOR_r, 'ms',MS_r  );
            plotm( [1-ACC13_r;TIME13_r], LINESPEC_r, 'color',COLOR_r, 'ms',MS_r  );
            plotm( [1-ACC15_r;TIME15_r], LINESPEC_r, 'color',COLOR_r, 'ms',MS_r  );
            plotm( [1-ACC17_r;TIME17_r], LINESPEC_r, 'color',COLOR_r, 'ms',MS_r  );
            plotm( [1-ACC19_r;TIME19_r], LINESPEC_r, 'color',COLOR_r, 'ms',MS_r  );
            plotm( [1-ACC21_r;TIME21_r], LINESPEC_r, 'color',COLOR_r, 'ms',MS_r  );
            plotm( [1-ACC23_r;TIME23_r], LINESPEC_r, 'color',COLOR_r, 'ms',MS_r  );
            plotm( [1-ACC25_r;TIME25_r], LINESPEC_r, 'color',COLOR_r, 'ms',MS_r  );
        end;


    colorbar
    colormap hsv;
    LABEL( 'Accuracy', '$t\ [s]$', '', '$\#V$' );
    AXIS( [.5^26 .5^.5 0.00002 200], [0 1500] )
    TICKS( [.5^25 .5^21 .5^17 .5^13 .5^9 .5^5 .5^1],nan, nan, [300 600 900 1200] )
    TICKLABELS( {'0.99999997' '' '.999992' '' '.9998' '0.969' '.5'} );
    set ( gca, 'XScale', 'log' );
    set ( gca, 'YScale', 'log' );
    set ( gca, 'xdir', 'reverse' );
    SZE( 2, 2 );
    POST();
    switch i
        case 1; SAVE( '.', 'methodcomparison_ce_ipa', 'png' );
        case 2; SAVE( '.', 'methodcomparison_ce_r', 'png' );
        end;
end
